Bug 1928473 - NetworkManager overlay FS not being created on None platform [NEEDINFO]
Summary: NetworkManager overlay FS not being created on None platform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.8
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 4.8.0
Assignee: Brad P. Crochet
QA Contact: Micah Abbott
URL:
Whiteboard:
Depends On:
Blocks: 1931863
TreeView+ depends on / blocked
 
Reported: 2021-02-14 10:43 UTC by Osher De Paz
Modified: 2021-07-30 02:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:44:28 UTC
Target Upstream Version:
odepaz: needinfo-
odepaz: needinfo-
odepaz: needinfo? (yshnaidm)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2425 0 None open Bug 1928473: Apply system-connections-merged to all platforms 2021-02-23 08:41:35 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:45:11 UTC

Description Osher De Paz 2021-02-14 10:43:08 UTC
Description of problem:

On None platform, the overlay FS of nmconnections is not being created.
In oppose to baremetal, you cannot see overlay FS created of /etc/NetworkManager/system-connections-merged:
https://github.com/openshift/machine-config-operator/pull/2017/files


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Use 'None' Platform
2. Assert mountpoints

Actual results:
Overlay FS for network manager not configured and needs to be created manually

Expected results:
Overlay FS created on startup

Additional info:

Comment 1 Osher De Paz 2021-02-14 10:45:14 UTC
cc @alazar@redhat.com @yshnaidm@redhat.com

Comment 2 Ben Howard 2021-02-16 17:46:55 UTC
@tim since you are looking at the other OVS bug, I've taken the liberty to assign this to you.

Comment 8 Micah Abbott 2021-03-17 17:34:17 UTC
Verified wtih 4.8.0-0.nightly-2021-03-17-123640 on AWS


```
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-03-17-123640   True        False         65s     Cluster version is 4.8.0-0.nightly-2021-03-17-123640

$ oc get nodes
NAME                           STATUS   ROLES    AGE   VERSION
ip-10-0-143-130.ec2.internal   Ready    master   23m   v1.20.0+e1bc274
ip-10-0-152-254.ec2.internal   Ready    worker   14m   v1.20.0+e1bc274
ip-10-0-183-75.ec2.internal    Ready    worker   16m   v1.20.0+e1bc274
ip-10-0-185-199.ec2.internal   Ready    master   22m   v1.20.0+e1bc274
ip-10-0-205-166.ec2.internal   Ready    master   23m   v1.20.0+e1bc274
ip-10-0-231-187.ec2.internal   Ready    worker   16m   v1.20.0+e1bc274

$ oc debug node/ip-10-0-152-254.ec2.internal
Starting pod/ip-10-0-152-254ec2internal-debug ...
To use host binaries, run `chroot /host`
Pod IP: 10.0.152.254
If you don't see a command prompt, try pressing enter.
sh-4.4# chroot /host
sh-4.4# ls -latr /etc/NetworkManager/conf.d/99-keyfiles.conf
-rw-r--r--. 1 root root 61 Mar 17 17:11 /etc/NetworkManager/conf.d/99-keyfiles.conf
sh-4.4# cat /etc/NetworkManager/conf.d/99-keyfiles.conf
[keyfile]
path=/etc/NetworkManager/system-connections-merged
sh-4.4# cat /etc/tmpfiles.d/nm.conf 
D /run/nm-system-connections 0755 root root - -
D /run/nm-system-connections-work 0755 root root - -
d /etc/NetworkManager/system-connections-merged 0755 root root - -
sh-4.4# findmnt | grep NetworkManager
| `-/etc/NetworkManager/system-connections-merged                                                                                                        overlay                                                                                                                                                                                         overlay    rw,relatime,seclabel,lowerdir=/etc/NetworkManager/system-connections,upperdir=/run/nm-system-connections,workdir=/run/nm-system-connections-work
```

Comment 11 errata-xmlrpc 2021-07-27 22:44:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.